/* Arrow */
td.proces-stap {
  display: flex;
  flex-direction: column;
  align-items: stretch;
  vertical-align: top;
  padding: 0;
  font-weight: bold;
  text-align: center!important;
  font-size: 1.1em!important;
}
.special_table td.proces-stap {
  display: flex;
  flex-direction: column;
  padding: 5px;
  vertical-align: top;
}
.proces-stap .tooltip-container {
  flex: 1;                 /* ← vult alleen resterende ruimte */
  display: flex;
}

.proces-stap textarea {
  flex: 1;
  width: 100%;
  height: 100%;
  box-sizing: border-box;
}
/* Stap 1 */
.step-label {
    display: block;
    font-weight: bold;
    color: #0078D4;
    margin-bottom: 6px;
    text-align: center;
    text-decoration: underline;
}
/* Horizontale lijn */
.step-line {
    display: block;
    width: 100%;
    height: 1px;
    background-color: #0078D4;
}
/* Pijl */
.step-arrow {
    display: block;
    text-align: center;
    font-size: 25px;
    color: #0078D4;
}

/* Edit table */
  .remove {
    background: #f1f1f1;
    td {
      font-style: italic;
    }
  }
  .table>tbody>tr>td {
    vertical-align: middle;
  }
  .input-group {
    width: 100%;
  }

  .editable {
    border: none;
    padding: 0;
    margin: 0;
    text-shadow: none;
    box-shadow: none;
  }
  .addBtn {
    cursor: pointer;
  }

/* Main CSS */
  .special_table thead th {
    position: sticky;
    top: 0;
    z-index: 2;
  }
  .tr {
      border-bottom: 1px solid #ddd;
    }
  .table-scroll {
    position: relative;
    width: 100%;
    overflow-x: auto;
    overflow-y: visible;
    -webkit-overflow-scrolling: touch; /* smooth op mobiel */
  }

.special_table {
  min-width: 1800px; /* belangrijk */
}
.special_table th {
    padding: 8px 8px;
    display: table-cell;
    text-align: left;
    vertical-align: top;
    border: 1px solid #00406c;
    background-color: #00406c;
    color: #fff;
    letter-spacing: 1px;
  }
  .special_table td textarea {
    display: block;
    width: 100%;
    height: 100%;
    box-sizing: border-box;
    margin: 0;
  }
  .special_table td{
      padding: 8px 3px;
      display: table-cell;
      text-align: left;
      vertical-align: top;
      border: 1px solid #00406c;
      font-size: 1em;
    }
  .special_table th:nth-child(4) {
      background-color: #ebc024;
      color: #000;
  }
  .special_table td:nth-child(4) {
      background-color: #ebc024;
      color: #000;
  }
  .special_table td:nth-child(7) {
      background-color: #ebc024;
      color: #000;
  }
  .special_table th:nth-child(7) {
      background-color: #ebc024;
      color: #000;
  }
  .special_table th:nth-child(10) {
      background-color: #afb76e;
      color: #000;
  }
  .special_table td:nth-child(10) {
      background-color: #afb76e;
      color: #fff;
  }
  .special_table {
      font-size: 12px!important;
      border: 1px solid #00406c;
      border-collapse: collapse;
      border-spacing: 0;
      width: 100%;
      display: table;
      margin-bottom: 10px;
    }

  .suppliers      {width: 200px; outline: none;border: 0!important;}
  .inputs         {width: 200px; outline: none;border: 0!important;}
  .ernst          {width: 200px; outline: none;border: 0!important;}
  .requirements   {width: 200px; outline: none;border: 0!important; background-color: #ebc024; color:#fff;}
  .process        {width: 200px; outline: none;border: 0!important;}
  .outputs        {width: 200px; outline: none;border: 0!important;}
  .specs          {width: 200px; outline: none;border: 0!important; background-color: #ebc024; color:#fff;}
  .customers      {width: 200px; outline: none;border: 0!important;}
  .outcome        {width: 200px; outline: none;border: 0!important;}
  .kpi            {width: 200px; outline: none;border: 0!important; -moz-appearance: textfield; background-color: #afb76e;color:#000;}

  .tooltip-container textarea {
    width: 100%;
    min-height: 100px; /* of wat jij wilt */
    box-sizing: border-box;
  }
  .tooltip-container {
    position: relative;
    display: inline-block;
    width: 100%;
    height: 100%;
  }
  .tooltip-container .tooltip-text {
    visibility: hidden;
    width: 220px;
    background-color: #333;
    color: #fff;
    text-align: left;
    padding: 15px;
    border-radius: 5px;
    position: absolute;
    z-index: 10;
    bottom: 1%; /* boven het veld */
    left: 60%;
    transform: translateX(-50%);
    opacity: 0;
    transition: opacity 0.3s;
  }

  .tooltip-container:hover .tooltip-text {
    visibility: visible;
    opacity: 1;
  }
